const std = @import("std");

pub fn build(b: *std.Build) void {
    const target = b.standardTargetOptions(.{});
    const optimize = b.standardOptimizeOption(.{});

    const ona_dependency = b.dependency("ona", .{
        .target = target,
        .optimize = optimize,
    });

    const app = b.addExecutable(.{
        .name = "ona-template",
        .root_source_file = b.path("src/main.zig"),
        .target = target,
        .optimize = optimize,
    });

    app.root_module.addImport("ona", ona_dependency.module("ona"));
    app.root_module.addImport("gfx", ona_dependency.module("gfx"));
    app.root_module.addImport("hid", ona_dependency.module("hid"));
    b.installArtifact(app);

    const run_cmd = b.addRunArtifact(app);

    run_cmd.step.dependOn(b.getInstallStep());

    if (b.args) |args| {
        run_cmd.addArgs(args);
    }

    const run_step = b.step("run", "Run the app");
    run_step.dependOn(&run_cmd.step);
}
