const gfx = @import("gfx");

const hid = @import("hid");

const ona = @import("ona");

pub const main = ona.App.setup
    .with_module(gfx)
    .with_module(hid)
    .with_system(.render, ona.system_fn(render), .{ .label = "Hello Ona" }).build();

pub fn render(commands: gfx.Commands, display: ona.Read(gfx.Display)) !void {
    try commands.draw_texture(.{
        .texture = .default,

        .transform = gfx.Transform2D.from_simplified(.{
            .scale = @splat(256),
            .translation = .{ @floatFromInt(display.state.width / 2), @floatFromInt(display.state.height / 2) },
        }),
    });
}
